deluge (2.0.3-4) sid; urgency=medium

  * Uploading to sid.
  * Adopting package (Closes: #995078).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Feb 2023 15:54:32 +0100

deluge (2.0.3-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install upstream-supplied systemd unit files. (Closes: #927197, #966287)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 30 Jan 2023 23:15:03 +0000

deluge (2.0.3-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support setuptools >= 60. (Closes: #1022491)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Nov 2022 22:37:10 +0200

deluge (2.0.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for ngettext KeyError during deluge-console
    startup. (Closes: #988345)

 -- Adrian Bunk <bunk@debian.org>  Thu, 15 Jul 2021 14:57:18 +0300

deluge (2.0.3-3) unstable; urgency=low

  [ Federico Ceratto ]
  * Trim trailing whitespace.
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Andrew Starr-Bochicchio ]
  * debian/control: Add explict depends on python3-libtorrent
    to deluge-console (Closes: #964168).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 27 Jul 2020 18:33:26 -0400

deluge (2.0.3-2) unstable; urgency=medium

  * debian/control:
   - Update version dependency on python3-libtorrent
     to >= 1.1.2.0 (Closes: #950573).
   - Drop transitional packages deluge-torrent and
     deluge-webui (Closes: #878385).
   - Bump Standards-Version to 4.5.0.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 09 Mar 2020 21:09:37 -0400

deluge (2.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow migration to Testing.

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 22 Oct 2019 22:23:47 -0400

deluge (2.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces

  [ Andrew Starr-Bochicchio ]
  * d/watch: Update for 2.X location.
  * New upstream release (Closes: #930549, #934603).
   - Ported to Python 3 and GTK+ 3.
  * d/control:
   - Update dependencies for Python 3 and GTK+ 3
     (Closes: #935213, #885880, #912482).
   - Add gir1.2-appindicator3-0.1 recommends.
  * d/patches:
   - Drop fix_pref_show.patch and refresh.
   - Drop vendor-specific patch series file and patch.
  * d/rules:
   - Update for Python 3 build.
   - Disable tests pending pytest-twisted upload.
   - Drop Ubuntu-specific dependency injection.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 25 Aug 2019 14:56:38 -0400

deluge (1.3.15-2) unstable; urgency=medium

  * Backport upstream patch fixing bug preventing
    the Preferences dialog from opening in some
    cases (Closes: #870247).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 31 Jul 2017 20:13:14 -0400

deluge (1.3.15-1) unstable; urgency=medium

  [ Andrew Starr-Bochicchio ]
  * New upstream release (Closes: #857357).
  * debian/control: Updated dependency from python-twisted-web
    to python-twisted-core (Closes: #808226). Thanks to
    Diederik de Haas.
  * Drop webui-csrf.patch and protect_dir_traversal.patch,
    applied upstream.

  [ Unit 193 <unit193@ubuntu.com> ]
  * Bump Standards-Version to 4.0.0.
  * d/compat, d/control: Bump debhelper compat to 10.
  * d/control, d/rules: Override dh_gencontrol to recommend
   python-appindicator if on Ubuntu (Closes: #863288).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 13 Jul 2017 20:35:08 -0400

deluge (1.3.13+git20161130.48cedf63-3) unstable; urgency=high

  * Check if template files exist and raise 404 if not
    in order to protect webui against directory traversal
    (Closes: #862611).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 15 May 2017 20:09:48 -0400

deluge (1.3.13+git20161130.48cedf63-2) unstable; urgency=high

  * webui-csrf.patch: Only accept application/json content-type
    requests (Closes: #857903). Protects against CSRF.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 19 Mar 2017 13:37:10 -0400

deluge (1.3.13+git20161130.48cedf63-1) unstable; urgency=medium

  * New upstream git snapshot (Closes: #835049) (LP: #1633785).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 30 Nov 2016 20:21:00 -0500

deluge (1.3.13-1) unstable; urgency=medium

  * New upstream release (Closes: #838640).
  * Remove revert-erroneous-commit.patch, applied upstream.
  * Bump Standards-Version to 3.8.8, no changes needed.
  * Remove unused license stanza in debian/control.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 28 Oct 2016 13:09:57 -0400

deluge (1.3.12-1) unstable; urgency=medium

  * New upstream release.
  * Drop disable_SSLv3_rpcserver.patch, applied upstream.
  * Include full source copies of minified js files in
    the "debian/missing-sources" directory (Closes: #787550).
  * revert-erroneous-commit.patch: Revert erroneous fix
    backported from develop branch.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 18 Sep 2015 21:34:24 -0400

deluge (1.3.10-3) unstable; urgency=medium

  * Fix permissions on /var/lib/deluged/config/ in
    deluged.postinst and properly remove all
    dpkg-statoverrides in deluged.postrm (Closes: #770628).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 15 Feb 2015 11:14:44 -0500

deluge (1.3.10-2) unstable; urgency=high

  * debian/patches/disable_SSLv3_rpcserver.patch:
   - Disable SSLv3 for the RPCserver as Debian now
     builds OpenSSL without SSLv3 support altogether.
     Closes: #765765
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add full text of the CC-BY-3.0 to debian/copyright

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 26 Oct 2014 12:18:29 -0400

deluge (1.3.10-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 15 Oct 2014 21:23:51 -0400

deluge (1.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Use "canonical" URLs in the Vcs-* fields.
  * Update "Format" URL in debian/copyright.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 05 Oct 2014 11:27:46 -0400

deluge (1.3.7-1) unstable; urgency=medium

  * New upstream release (Closes: #759217).
  * Add myself as an uploader.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Drop fix_plugins_tabs.patch, AutoExtractor_fix.patch,
    and Fix-twisted-13.1-compat.patch. All applied upstream.
  * deluged.postinst: Fix permissions on /var/lib/deluged
    Closes: #732596 Thanks to Diederik de Haas!

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 30 Aug 2014 20:20:56 -0700

deluge (1.3.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * debian/patches/Fix-twisted-13.1-compat.patch: Backport
    upstream commits fixing Blocklist plugin incompatibility
    with twisted 13.1 (Closes: #729929).
  * debian/patches/AutoExtractor_fix.patch: Fixes AutoExtractor
    Plugin failing to extract files with periods. Backported
    from upstream.
  * debian/patches/fix_plugins_tabs.patch: Fix issue with
    Plugins that add Tabs to torrentdetails. Backported from
    upstream.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 17 Feb 2014 13:37:12 -0500

deluge (1.3.6-1) experimental; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@debian.org>  Wed, 19 Jun 2013 21:29:53 +0200

deluge (1.3.5-1) experimental; urgency=low

  * New upstream version. (Closes: #663250, #670366)
    - bring MainWindow to front when opening another instance.
      (Closes: #662733)
  * debian/deluged.postinst: check for already existing overrides
    before adding new ones. Thanks Andrew Starr-Bochicchio! (Closes: #671905)

 -- Cristian Greco <cristian@debian.org>  Tue, 08 May 2012 21:01:55 +0200

deluge (1.3.4-1) experimental; urgency=low

  [ Tanguy Ortolo ]
  * debian/deluged.init: initial work on init script for deluge daemon.

  [ Cristian Greco ]
  * New upstream version.
  * debian/deluged.init: some changes to configuration.
  * debian/control:
    - bump up Standards-Version to 3.9.3.
    - move transitional packages to oldlibs/extra.

 -- Cristian Greco <cristian@debian.org>  Sun, 11 Mar 2012 16:48:25 +0100

deluge (1.3.3-2) unstable; urgency=low

  * debian/patches:
    - new_release_check.patch: refreshed patch.
    - ubuntu_indicator.patch: new patch, enable indicator support
      by default on Ubuntu. (Closes: #641778) (LP: #843805)

 -- Cristian Greco <cristian@debian.org>  Sun, 25 Sep 2011 18:03:15 +0200

deluge (1.3.3-1) unstable; urgency=low

  * New upstream version.
  * debian/deluge-gtk.mime: provide MIME information for deluge-gtk.
  * debian/control:
    - add build-dep on intltool.
    - use my @debian.org address, drop DMUA field.
  * debian/rules: remove the .desktop file during clean.
  * debian/{control,rules}: dirty hack to avoid installing plugins eggs.
    Thanks Jakub Wilk!

 -- Cristian Greco <cristian@debian.org>  Thu, 25 Aug 2011 01:08:14 +0200

deluge (1.3.2-1) unstable; urgency=low

  * New upstream version.
    - fix arguments handling in deluge-console (Closes: #619565).
    - new_release_check.patch: refreshed.
  * debian/{control,rules}: switch from python-support to dh_python2.
  * debian/control: bump up Standards-Version to 3.9.2.
  * debian/control: move the python-libtorrent dependency from package
    deluge-common to packages deluged and deluge and clarify packages
    description, in order to be able to run the GTK+ user-interface as
    a thin client (LP: #672069).

 -- Cristian Greco <cristian@regolo.cc>  Wed, 08 Jun 2011 00:10:27 +0200

deluge (1.3.1-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 03 Nov 2010 16:44:32 +0100

deluge (1.3.0-1) unstable; urgency=low

  * New upstream version.
    - remove all the stuff needed to track upstream git repository for
      Squeeze (get-orig-source in debian/control, debian/README.source
      and debian/patches/no_tag_build_dev.patch).
  * debian/patches/drop_deprecation_warnings.patch: deleted, it was a
    backport from upstream git repository.
  * debian/control: bump up Standards-Version to 3.9.1 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Tue, 12 Oct 2010 19:57:23 +0200

deluge (1.2.3+git20100712.0b609bf-1) unstable; urgency=low

  * Imported Upstream version 1.2.3+git20100712.0b609bf
    - Upstream commit 0b609bf: "do not attempt to move a torrents storage if
      the destination path not exist". (Closes: 588756)

 -- Cristian Greco <cristian@regolo.cc>  Tue, 13 Jul 2010 19:09:24 +0200

deluge (1.2.3+git20100701.131af5a-1) unstable; urgency=low

  * Imported Upstream version 1.2.3+git20100701.131af5a
    - upstream is not going to release 1.2.4, so we are now tracking the
      1.2-stable brach from git repository for Squeeze.
    - fixes deluge-gtk hanging on shutdown. (Closes: #587662)
  * debian/rules: add get-orig-source target to track latest 1.2.x upstream
    snapshot.
  * debian/README.source: add basic instructions for the get-orig-source
    target.
  * debian/control:
    - use Breaks: instead of Conflicts:, as specified by policy 3.9.0, §7.4.
    - bump Standards-Version to 3.9.0.
  * debian/patches:
    - new_release_check.patch, refreshed, update description to follow DEP3
      guidelines.
    - no_tag_build_dev.patch, new patch: drop '-dev' tag_build in setup.cfg.
    - drop_deprecation_warnings.patch, new patch: get rid of deprecation
      warnings. (Closes: #575910)

 -- Cristian Greco <cristian@regolo.cc>  Thu, 01 Jul 2010 19:07:23 +0200

deluge (1.2.3-1) unstable; urgency=low

  * New upstream version.
  * debian/patches:
    - libtorrent_version_comparison.patch: drop patch, fixed upstream.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 09 Apr 2010 14:03:02 +0200

deluge (1.2.2-2) unstable; urgency=low

  * debian patches:
    - libtorrent_version_comparison.patch: new patch, fix version split
      comparison to do a proper compare and not simply against the version
      strings (needed to work with libtorrent 0.14.10).

 -- Cristian Greco <cristian@regolo.cc>  Wed, 24 Mar 2010 23:46:19 +0100

deluge (1.2.2-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 24 Mar 2010 16:24:46 +0100

deluge (1.2.1-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - bump up depends on python-libtorrent (>= 0.14.9) as suggested
      by upstream;
    - move python-pygame from Depends: to Recommends: for deluge-gtk;
      (Closes: #570606)
    - update standards-version to 3.8.4 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Sun, 21 Feb 2010 02:19:35 +0100

deluge (1.2.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control: build-depend on python instead of python-dev (fix
    build-depends-on-python-dev-with-no-arch-any)
  * move deluge.desktop file from deluge to deluge-gtk package, due to
    upstream change. (Closes: #557519)
  * provide a README.Debian file for deluge-web package with information
    about the default password. (Closes: #560382)

 -- Cristian Greco <cristian@regolo.cc>  Wed, 27 Jan 2010 21:39:22 +0100

deluge (1.2.0~rc5-1) unstable; urgency=low

  * New upstream version.
    - fix startup with fresh configs. (Closes: #560384)
  * debian/control: drop useless dependencies on dbus for deluge-gtk.
  * fix_manifest_in.patch: dropped, file MANIFEST.in has been deleted by
    upstream.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 24 Dec 2009 00:57:59 +0100

deluge (1.2.0~rc4-1) unstable; urgency=low

  * New upstream version.
  * Convert to 3.0 (quilt) source format.
  * debian/patches:
    - remove the followings (fixed upstream):
      + 05_install_deluge_web_manpage.patch
      + 20_r5913_queued_torrents_dialog.patch
      + 25_r5921_fastresume_files.patch
      + 30_r5931_ipc_lockfile.patch
    - rename the following:
      + 10_new_release_check.patch -> new_release_check.patch
    - new patch:
      + fix_manifest_in.patch: drop upstream MANIFEST.in as it is actually
        incomplete.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 01 Dec 2009 00:23:48 +0100

deluge (1.2.0~rc3-5) unstable; urgency=low

  * debian/patches/30_r5931_ipc_lockfile.patch: fix bad indentation.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 20 Nov 2009 18:57:56 +0100

deluge (1.2.0~rc3-4) unstable; urgency=low

  * debian/control: bump build-dep on python-setuptools to (>= 0.6c9).
  * debian/patches:
    - 25_r5921_fastresume_files.patch
      new, should fix problems with fresh configs;
    - 30_r5931_ipc_lockfile.patch:
      new, should fix an issue where Deluge will fail to start if there is a
      stale ipc lockfile. (Closes: #555849)

 -- Cristian Greco <cristian@regolo.cc>  Fri, 13 Nov 2009 02:39:45 +0100

deluge (1.2.0~rc3-3) unstable; urgency=low

  * debian/control: adding DM-Upload-Allowed, thanks to my sponsor
    Michal Čihař.

 -- Cristian Greco <cristian@regolo.cc>  Mon, 09 Nov 2009 12:28:35 +0100

deluge (1.2.0~rc3-2) unstable; urgency=low

  * debian/patches/20_r5913_queued_torrents_dialog.patch: new patch from
    upstream svn r5913 'fix adding torrents from the Queued Torrents dialog'.
    (Closes: #554446)
  * Start closing some old bugs which should now be fixed in 1.2.0:
    - no more daemon process running around at exit (Closes: #525648, 513020);
    - doesn't crash/freeze when launching a second instance (Closes: #473915);
    - display error dialog on 'Add Torrents->URL' failure (Closes: #525654).

 -- Cristian Greco <cristian@regolo.cc>  Fri, 06 Nov 2009 18:50:43 +0100

deluge (1.2.0~rc3-1) unstable; urgency=low

  * New upstream version.
    - debian/deluge-{console,gtk,web}.install: install new manpages.
    - debian/patches:
      + 001_r5833_fix_saving_torrents.patch: deleted, merged upsteam.
      + 010_new_release_check.patch: refresh and rename to delete the
        leading zero.
      + 05_install_deluge_web_manpage.patch: new, fix setup.py to
        install deluge-web.1 manpage.
  * debian/control: new maintainer email address.
  * Upload to unstable.
    - stop delivering non-free GeoIP.dat (Closes: #544463).

 -- Cristian Greco <cristian@regolo.cc>  Mon, 02 Nov 2009 16:30:11 +0100

deluge (1.2.0~rc1-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream version.
    - upstream tarball is dfsg clean now;
    - debian/control, debian/deluge*.install: completely rework binary
      packages names and dependencies;
    - debian/NEWS: updated with informations about the new packages
      layout.
  * debian/patches:
    - 010_new_release_check.patch: updated;
    - 020_geoip_db.patch: dropped, merged upstream;
    - 001_r5833_fix_saving_torrents.patch: new patch to prevent an RC bug
      (pulled from upstream svn).
  * debian/README.source: remove now useless informations about the dfsg
    conversion.
  * debian/README.Debian: dropped, unneded.
  * debian/deluge.lintian-overrides: dropped, unneded.
  * debian/copyright: updated.
  * debian/watch: updated.
  * debian/gbp.conf: removed.
  * debian/rules: use override_dh_auto_clean.

 -- Cristian Greco <cristian.debian@gmail.com>  Mon, 12 Oct 2009 22:22:40 +0200

deluge (1.1.9+dfsg-2) unstable; urgency=low

  * debian/control:
    - move git maintenance to collab-maint;
    - bump Standards-Version to 3.8.3 (no changes);
    - build-dep on python-support (>= 0.90.0) and adjust its usage by deleting
      X[SB]-Python-Version fields and providing a debian/pyversions file;
    - build-dep on debhelper (>= 7.3.13) which automagically (and correctly)
      handles the --install-layout=deb option in debian/rules for all
      supported python versions;
    - add dependency on geoip-database for the deluge-core binary package
      and avoid to install GeoIP.dat file (see patch below).
  * debian/patches:
    - prefix patches with a number.
    - 020_geoip_db.patch: new patch, attempt to fix #544463 by using the
      GeoIP.dat database provided with the geoip-database debian package.
      This will be properly fixed with the upcoming upstream release 1.2.
  * debian/rules: simplified a lot thanks to debhelper 7 override rules.
  * debian/gbp.conf: provide a git-buildpackage conf file with a minimal
    configuration to build the package using dfsg_clean branch.
  * debian/README.source: fix reference to quilt doc.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 01 Sep 2009 14:29:21 +0200

deluge (1.1.9+dfsg-1) unstable; urgency=low

  * New upstream version.
  * debian/patches: remove the following (merged upstream),
    - r5304_fix_use_self_encoding.patch,
    - r5305_fix_uncaught_exceptions_systemtray.patch,
    - r5328_fix_renaming_parent_folder.patch.
  * debian/control: depends on python-libtorrent (>= 0.14.4).
  * debian/README.source: switch documentation from dpatch to quilt.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 16 Jun 2009 10:41:43 +0200

deluge (1.1.8+dfsg-3) unstable; urgency=low

  * debian/patches:
    - renaming patches as to prepend upstream svn rev;
    - r5305_fix_uncaught_exceptions_systemtray.patch: fix indentation;
    - r5328_fix_renaming_parent_folder.patch: new patch, fix renaming
      a parent folder into multiple folders (upstream svn r5328).

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 02 Jun 2009 00:30:25 +0200

deluge (1.1.8+dfsg-2) unstable; urgency=low

  * debian/control:
    - depends on python-chardet;
    - add Suggests: python-openssl for deluge-webui (Closes: #530688).
  * debian/patches:
    - 10-new_release_check.patch: move to new_release_check.patch (don't use
      names starting with patch order);
    - fix_use_self_encoding_r5304.patch: fix not using the encoding used in
      the torrent file to decode some strings;
    - fix_uncaught_exceptions_systemtray_r5305.patch: prevent some uncaught
      exceptions when systemtray is not enabled.

 -- Cristian Greco <cristian.debian@gmail.com>  Thu, 28 May 2009 02:36:00 +0200

deluge (1.1.8+dfsg-1) unstable; urgency=low

  * New upstream version.
    - bugs fixed in 1.1.7:
      + version not uploaded in Debian (Closes: #528531, LP: #376032);
      + fix crashes during shutdown (LP: #343088);
      + fix resume torrent after doing a 'Pause All' (LP: #363569);
      + fix crashes caused by 'Peers' tab (LP: #333256, LP: #358942);
    - bugs fixed in 1.1.8:
      + fix error message when using '-c' option and not specifying a
        directory (LP: #333227, LP: #333228);
      + fix crashes caused during new release check function (LP: #346692);
      + fix GtkWarning assetion (LP: #343759);
      + fix crashed caused by timeout in mail notification (LP: #360851);
      + set sane defaults for peers/file tabs column widths (Closes: #525643);
  * debian/control:
    - add Vcs-* stuff (switch to git-buildpackage maintenance);
    - rework conflicts&replaces against the old deluge-torrent{,-common}
      packages. (LP: #369852, LP: #369916)
  * debian/patches:
    + switch from dpatch to quilt;
    + delete 20-fix-segfault-utf8.dpatch (merged upstream).
  * Don't depend on hardcoded python version in debian/control and
    debian/deluge*.install; use --install-layout=deb in debian/rules.
    This should reduce the Ubuntu diff thus allowing to build with
    python2.6 (thanks Andrew) (Closes: #519650).
  * debian/deluge-webui.README.Debian: right command is 'deluge -u web'
    (Closes: #525649).

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 26 May 2009 15:18:23 +0200

deluge (1.1.6+dfsg-2) unstable; urgency=low

  * debian/patches: new patch 20-fix-segfault-utf8.dpatch, should fix segfault
    if locale is not using utf8 encoding (Closes: #520965).

 -- Cristian Greco <cristian.debian@gmail.com>  Fri, 10 Apr 2009 01:59:22 +0200

deluge (1.1.6+dfsg-1) unstable; urgency=low

  * New upstream version.
    - Closing some fixed bug in Lauchpad (LP: #279063, LP: #333058);
    - debian/copyright: updated to reflect the license change (added OpenSSL
      exception to GPLv3).

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 07 Apr 2009 01:18:05 +0200

deluge (1.1.5+dfsg-1) unstable; urgency=low

  * New upstream version.
    - debian/patches: remove 20-fix-config-files-backup.dpatch (fixed
      upstream).
  * debian/watch: updated upstream tarball location.
  * debian/control: added Depends: on xdg-utils for deluge-core (Closes:
    #519763).

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 17 Mar 2009 23:34:51 +0100

deluge (1.1.4+dfsg-2) unstable; urgency=low

  * debian/patches: new patch 20-fix-config-files-backup.dpatch pulled from
    upstream svn should fix a problem with config files (Closes: #519042).
  * debian/control: bump up Standards-Version to 3.8.1 (no changes required).

 -- Cristian Greco <cristian.debian@gmail.com>  Thu, 12 Mar 2009 09:51:32 +0100

deluge (1.1.4+dfsg-1) unstable; urgency=low

  * New upstrean version.
  * debian/copyright: updated.
  * debian/control: depends on python-libtorrent (>= 0.14.2).
  * Upload to unstable.

 -- Cristian Greco <cristian.debian@gmail.com>  Sun, 08 Mar 2009 20:44:36 +0100

deluge (1.1.3+dfsg-1) experimental; urgency=low

  * New upstream version.
    - the source code licensing issue with the file deluge/metafile.py has
      been solved by upstream, so the tarball repackaging is actually only
      due to the GeoIP database; the torrent creation feature has been
      reenabled while the related patch has been dropped away.
    - debian/patches:
      + 20-torrent_creation.dpatch: deleted (no more needed);
      + 30-manpages.dpatch: deleted (merged upstream).
    - debian/NEWS, debian/README.source: updated info about repackaging and
      the new torrent creation feature.
  * debian/control:
    - build only against python >=2.5 (Closes: #515549, LP: #329836);
    - depends and build-depends on python-libtorrent >= 0.14.1;
    - updated description for the package deluge-console using 'console ui'
      instead of 'null ui'.
  * debian/README.Debian: install a different README file for deluge-core,
    deluge-console and deluge-webui.
  * debian/changelog: switch to a new naming scheme to make lintian happy
    (dfsg-version-with-period).
  * debian/copyright: updated.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 17 Feb 2009 01:48:27 +0100

deluge (1.1.2.dfsg-1) experimental; urgency=low

  * New upstream version.
    - upstream tarball has been repackaged due to a problem with the file
      deluge/metafile.py, which is released with a non-dfsg free license (in
      addition to the old issue with GeoIP database);
    - debian/README.source: updated info about repackaging;
    - debian/copyright: new and updated copyright notes and files;
    - debian/patches:
       + 001-fix_import_libtorrent.dpatch: deleted (fixed upstream);
       + 002-Do_not_check_for_update_as_default.dpatch: renamed to
         10-new_release_check.dpatch and updated;
       + 20-torrent_creation.dpatch: added (see below);
       + 30-manpages.dpatch: added;
    - debian/NEWS: added file in order to alert about the disabled torrent
      creation feature due to licensing problem and source repackaging;
    - debian/deluge-console.install, debian/README.Debian: updated to reflect
      the new UI specific folder name (renamed from 'null' to 'console');
    - debian/rules: no need to remove extra LICENSE file (fixed upstream);
  * debian/watch: fixed to watch for RC releases.

 -- Cristian Greco <cristian.debian@gmail.com>  Sun, 01 Feb 2009 15:27:34 +0100

deluge (1.0.7.dfsg-3) experimental; urgency=low

  * Add dummy package deluge-torrent for clean upgrades (Closes: #510824).

 -- Cristian Greco <cristian.debian@gmail.com>  Wed, 07 Jan 2009 21:55:45 +0100

deluge (1.0.7.dfsg-2) experimental; urgency=low

  * Add deluge-core Depends: on python-pkg-resources (Closes: #510452).
  * Update 002-Do_not_check_for_update_as_default.dpatch to disable also
    alerts about new releases.

 -- Cristian Greco <cristian.debian@gmail.com>  Sun, 04 Jan 2009 03:02:31 +0100

deluge (1.0.7.dfsg-1) experimental; urgency=low

  * New Maintainer (acknowledged by Adam Cécile).
    - Thanks to Adam Cécile for his work.
  * New upstream version (Closes: #499850, #501078).
  * Upstream tarball has been repackaged due to non dfsg-compliant copyright
    statement in file deluge/data/GeoIP.dat (see README.source).
  * debian/control:
    - source and binary packages renamed from deluge-torrent to deluge, as
      requested by upstream authors;
    - depends on python-libtorrent and do not build the embedded copy of
      libtorrent-rasterbar;
    - deluge package is "Architecture: all", not "any";
    - drop package deluge-torrent-common;
    - do not recommends python-gtkmozembed because it is not used at all;
    - rewrite short and full description to describe the daemon/client model.
    - split deluge in five different packages: deluge-core (which contains the
      deluged daemon), deluge-common (which contains common data files for all
      UIs) and one single package for each UI (with 'deluge' being the default
      GTK+ ui) -- see README.Debian for details;
    - the new deluge-core package Conflicts/Replaces deluge-torrent-common.
  * debian/compat, debian/control, debian/rules: switch to debhelper 7 and
    rewrite debian/rules for scratch because we don't need to build the
    embedded copy of libtorrent-rasterbar.
  * debian/copyright: file rewrote from scratch (Closes: #488155).
  * debian/watch: added file.
  * debian/links: deleted file.
  * debian/menu: minor changes.
  * debian/patches:
    - delete 000-Fix_tray_icon.dpatch;
    - delete 001-Fix_CFLAGS_handling.dpatch;
    - refresh 002-Do_not_check_for_update_as_default.dpatch;
    - add 001_fix_import_libtorrent.dpatch -- see description for details.
  * added README.Debian and README.source files.
  * get rid of manpage deluge.1 and the .desktop file because they are now
    shipped by upstream.
  * get rid of lintian override 'menu-icon-missing' because now upstream ships
    an xpm icon.
  * add a lintian-overrides file for the new deluge package.
  * upload to experimental.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 16 Dec 2008 17:08:57 +0100

deluge-torrent (0.5.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #487312).
  * Recommends python-gtkmozembed instead python-gnome2-extras
    (Closes: #485297).
  * Bump Standards-Version to 3.8.0.
  * Improve .desktop file (Closes: #484904).
  * Update dependency from python-pyopenssl (transitional) to python-openssl.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 23 Jun 2008 22:54:02 +0200

deluge-torrent (0.5.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #475313, #465059).
  * Add missing dbus-x11 runtime dependency (Closes: #481564).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 27 May 2008 22:24:36 +0200

deluge-torrent (0.5.8.7-1) unstable; urgency=low

  * New upstream release (Closes: #472785):
    - plugins treeview now scroll when using the keyboard (Closes: #445623).
  * Update manpage.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 01 Apr 2008 22:26:06 +0200

deluge-torrent (0.5.8.6-1) unstable; urgency=low

  * New upstream release (Closes: #470702).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 14 Mar 2008 22:28:58 +0100

deluge-torrent (0.5.8.5-1) unstable; urgency=low

  * New upstream release (Closes: #469969).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 09 Mar 2008 13:33:33 +0100

deluge-torrent (0.5.8.4-1) unstable; urgency=low

  * New upstream release (Closes: #466212).
  * Drop 004-GNU_kFreeBSD patch, fixed upstream.
  * Update 002-Do_not_check_for_update_as_default patch (Closes: #466355).
  * Fix description mis-spelling.
  * Add a deluge-torrent-common package for arch-indep files.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 17 Feb 2008 21:57:37 +0100

deluge-torrent (0.5.8.3-1) unstable; urgency=HIGH

  * Security set to HIGH as it fix a critical security issue.
  * New upstream release (Closes: #463357).
  * Update 002-Do_not_check_for_update_as_default patch.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 01 Feb 2008 22:59:10 +0100

deluge-torrent (0.5.8-1) unstable; urgency=low

  * New upstream release (Closes: #457832, #454134).
  * Fix FTBFS on GNU/kFreeBSD, thanks to Aurelien Jarno (Closes: #458974).
  * Bump Standards-Version to 3.7.3 (no changes needed).
  * Recommends python-gnome2-extras (embedded web browser).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 04 Jan 2008 12:13:32 +0100

deluge-torrent (0.5.7.1~debian-1) unstable; urgency=low

  * New upstream release (Closes: #448475, #452808).
  * Add runtime dependencies: librsvg2-common, python-pyopenssl.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 02 Dec 2007 13:51:39 +0100

deluge-torrent (0.5.6.2-1) unstable; urgency=low

  * New upstream release (Closes: #447810, #447648).
  * Drop 000-Fix_browser.py_path patch, fixed upstream.
  * Update 001-Fix_CFLAGS_handling and 003-Fix_tray_icon patches.
  * Update debian/copyright.
  * Manpage do not have a bad "SH NAME" (break whatis) entry anymore.
  * Use new dpkg "Homepage" field.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 31 Oct 2007 21:41:42 +0100

deluge-torrent (0.5.5-2) unstable; urgency=low

  * Add missing runtime dependency on python-dbus.
  * Fix 003-Fix_tray_icon patch, sorry for the mistake (Closes: #442031).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 13 Sep 2007 09:08:11 +0200

deluge-torrent (0.5.5-1) unstable; urgency=low

  * New upstream release (Closes: #441425).
  * Re-add 001-Fix_CFLAGS_handling patch to fix CFLAGS handling.
  * Call setup.py with --no-compile to avoid python compilation (done by pysupport).
  * Add 002-Do_check_for_update_as_default patch (Closes: #441423).
  * Add 003-Fix_tray_icon patch to use current theme icon as trayicon, thanks to Mathias Brodala (Closes: #438441).
  * debian/rules: drop stuff that removes shebangs in modules, fixed upstream.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 09 Sep 2007 21:33:43 +0200

deluge-torrent (0.5.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #436839, #437205).
  * Drop 000-Fix_CFLAGS_handling patch, fixed upstream.
  * Add 000-Fix_browser.py_path patch to fix broswer launch failure (Closes: #435464).
  * Menu: move to Applications/Network/File Transfer.
  * Drop deprecated 'Encoding' entry in desktop file.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 11 Aug 2007 02:17:52 +0200

deluge-torrent (0.5.3-1) unstable; urgency=low

  * New upstream release.
    - Torrent urls supported on the command-line (Closes: #416013).
  * Update 000-Fix_CFLAGS_handling patch.
  * Break loops with '|| exit 1' in debian/rules.
  * Rewrite icons handling. Now all sizes are generated with imagemagick.
  * Fed up with upstream website changes... Drop debian/watch.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 28 Jul 2007 16:36:38 +0200

deluge-torrent (0.5.2-1) unstable; urgency=low

  * New upstream release (Closes: #431929, #416014, #429880).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 06 Jul 2007 09:15:11 +0200

deluge-torrent (0.5.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #428515, #419925, #406789).
  * Add libssl-dev to build depends.
  * Drop 001-Fix_FTBFS_with_libboost_1.34 and 002-Always_enable_EPOLL patches, fixed upstream.
  * Update 000-Fix_CFLAGS_handling patch.
  * Update debian/watch.
  * Update debian/copyright.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 12 Jun 2007 19:51:39 +0200

deluge-torrent (0.5.0-3) unstable; urgency=low

  * Merge upstream patch to fix FTBFS with libboost 1.34 (Closes: #425076).
  * Now build-depend on libboost*-dev (>= 1.34).
  * EPOLL is now always turned on, checking at build-time is non-sense and produce FTBFS with linux-libc-dev.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 22 May 2007 17:54:27 +0200

deluge-torrent (0.5.0-2) unstable; urgency=low

  * Call dh_desktop (Closes: #408891, #415708).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 21 Mar 2007 17:01:09 +0100

deluge-torrent (0.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #406790).
  * Upstream do not release two separate tarballs anymore, fix rules.
  * Add dpatch as patch-system.
  * Use python-support to handle python modules.
  * Update debian/copyright.
  * Remove README.Debian-sources, README.
  * Remove many useless things due to the new build system (distutils).
  * Update debian/watch.
  * Update manpage.
  * Rename binary from deluge-torrent to deluge to match with upstream.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 19 Mar 2007 11:46:46 +0100

deluge-torrent (0.4.1-2) unstable; urgency=low

  * Really change menu entries name (Closes: #404992).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 17 Jan 2007 10:28:19 +0100

deluge-torrent (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Change menu entries name from Deluge-torrent to Deluge Torrent.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 29 Dec 2006 11:22:54 +0100

deluge-torrent (0.4.0-2) unstable; urgency=low

  * Build with -DAMD64 for 64bits systems (Closes: #402257).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 12 Dec 2006 00:32:21 +0100

deluge-torrent (0.4.0-1) unstable; urgency=low

  * New upstream release
    - Fix issue when no locale set (Closes: #399600).
  * Update control with new dependencies.
  * Remove .svn directories.
  * Add debian/watch.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 29 Nov 2006 00:10:34 +0100

deluge-torrent (0.3.1.1-1) unstable; urgency=low

  * Initial release (Closes: #398916).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 15 Nov 2006 22:03:13 +0100
